Go to the latest version of this document.

# ``twisted`.`names`.`secondary`.`SecondaryAuthorityService``

class documentation

`class SecondaryAuthorityService(service.Service): (source)`

Constructor: `SecondaryAuthorityService(primary, domains)`

View In Hierarchy

A service that keeps one or more authorities up to date by doing hourly zone transfers from a master.

Class Method | `fromServerAddressAndDomains` | Construct a new `SecondaryAuthorityService` from a tuple giving a server address and a `str` giving the name of a domain for which this is an authority.
Method | `__init__` | No summary
Method | `getAuthority` | Get a resolver for the transferred domains.
Method | `startService` | Start the service.
Method | `stopService` | Stop the service.
Instance Variable | `calls` | Undocumented
Instance Variable | `domains` | An authority for each domain mirrored from the master.
Instance Variable | `primary` | IP address of the master.
Class Variable | `_port` | Undocumented

Inherited from `Service`:

Method | `__getstate__` | Undocumented
Method | `disownServiceParent` | Use this API to remove an `IService` from an `IServiceCollection`.
Method | `privilegedStartService` | Do preparation work for starting the service.
Method | `setName` | Set the name of the service.
Method | `setServiceParent` | Set the parent of the service. This method is responsible for setting the `parent` attribute on this service (the child service).
Instance Variable | `name` | A `str` which is the name of the service or `None`.
Instance Variable | `parent` | An `IServiceCollection` which is the parent or `None`.
Instance Variable | `running` | A `boolean` which indicates whether the service is running.

@classmethod
def fromServerAddressAndDomains(cls, serverAddress, domains): (source)

Construct a new `SecondaryAuthorityService` from a tuple giving a server address and a `str` giving the name of a domain for which this is an authority.

Parameters
serverAddress | A two-tuple, the first element of which is a `str` giving an IP address and the second element of which is a `int` giving a port number. Together, these define where zone transfers will be attempted from.
domains:sequence of `bytes` | Domain names for which to perform zone transfers.

Returns
A new instance of `SecondaryAuthorityService`.

def __init__(self, primary, domains): (source)

Parameters
primary:`str` | The IP address of the server from which to perform zone transfers.
domains:`list` of `bytes` | A sequence of domain names for which to perform zone transfers.

def getAuthority(self): (source)

Get a resolver for the transferred domains.

Returns
`ResolverChain` | Undocumented

def startService(self): (source)
from `twisted.application.service.IService`
overrides `twisted.application.service.Service.startService`

Start the service.

def stopService(self): (source)
from `twisted.application.service.IService`
overrides `twisted.application.service.Service.stopService`

Stop the service.

Returns
`Deferred` | a `Deferred` which is triggered when the service has finished shutting down. If shutting down is immediate, a value can be returned (usually, `None`).

calls = (source)

Undocumented

domains: `list` of `SecondaryAuthority` = (source)

An authority for each domain mirrored from the master.

primary: `str` = (source)

IP address of the master.

_port: `int` = (source)

Undocumented